* {
    box-sizing: border-box;
}

body {
    margin: 0;
    min-height: 100vh;

    display: flex;
    justify-content: center;
    align-items: center;

    background: #111;
    color: white;

    font-family: Arial, sans-serif;
}

.container {
    width: 90%;
    max-width: 450px;

    text-align: center;

    background: #1b1b1b;
    padding: 35px;

    border-radius: 12px;
}

h1 {
    margin-bottom: 10px;
}

input {
    width: 100%;
    padding: 14px;

    margin: 20px 0;

    border: none;
    border-radius: 8px;

    background: #292929;
    color: white;

    font-size: 16px;
}

button {
    width: 100%;

    padding: 18px;

    margin-top: 12px;

    border: none;
    border-radius: 8px;

    color: white;

    font-size: 20px;
    font-weight: bold;

    cursor: pointer;
}

button:hover {
    opacity: 0.85;
}

.start {
    background: #16803c;
}

.restart {
    background: #b87800;
}

.stop {
    background: #b52b2b;
}

.status {
    margin: 25px 0;

    font-size: 20px;
    font-weight: bold;
}

#statusDot {
    display: inline-block;

    width: 12px;
    height: 12px;

    border-radius: 50%;

    background: gray;

    margin-right: 8px;
}

#message {
    margin-top: 20px;
    min-height: 20px;
}

.hidden {
    display: none;
}

#loginError {
    color: #ff5555;
}